> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/unbindcidrblockips.md).

# UnbindCidrBlockIps

## 1. 接口描述

本接口(UnbindCidrBlockIps)用于实例解绑一个或多个Cidr Block IP。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型              | 描述                                                                         |
| ----------- | -- | --------------- | -------------------------------------------------------------------------- |
| ipList      | 是  | Array of String | 待解绑的IP列表。                                                                  |
| cidrBlockId | 是  | String          | <p>待操作的Cidr Block ID。</p><p>可通过DescribeCidrBlocks接口返回值中的cidrBlockId获取。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 解绑指定Cidr Block的一个IP**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnbindCidrBlockIps
Request:
{
  "cidrBlockId": "cidrBlockId",
  "ipList": [
    "2602:ffe4:1:11::1"
  ]
}
Response:
{
  "requestId": "TEE694662-1428-4330-91ED-9D5800206E20",
  "response": {
    "requestId": "TEE694662-1428-4330-91ED-9D5800206E20"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                    | 说明                      |
| ------- | -------------------------------------- | ----------------------- |
| 403     | OPERATION\_DENIED\_CIDRBLOCK\_RECYCLED | 在回收站中的Cidr Block不支持该操作。 |
| 403     | OPERATION\_DENIED\_SERVER\_EXIST\_IPV6 | 指定的实例存在IPv6。            |
| 403     | OPERATION\_DENIED\_IP\_NOT\_BELONG     | 待解绑的IP不属于指定的Cidr Block。 |
| 403     | OPERATION\_DENIED\_INVALID\_STATUS     | 该IP当前状态不支持解绑。           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/unbindcidrblockips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
